summaryrefslogtreecommitdiffstats
path: root/desktop/cutefish-icons
diff options
context:
space:
mode:
author Juan M. Lasca <juanmlasca@gmail.com>2023-07-18 08:21:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-18 08:22:41 +0700
commitf2d1ae854530065714044d3348db411c087d3ae8 (patch)
tree4d1e6a077a7d0abc6f43e0ed2934e81cf587f59a /desktop/cutefish-icons
parent2de5396067e4bea38c26a4952ed8a5a89640625d (diff)
downloadslackbuilds-f2d1ae854530065714044d3348db411c087d3ae8.tar.gz
slackbuilds-f2d1ae854530065714044d3348db411c087d3ae8.tar.xz
desktop/cutefish-icons: Added (cutefish icons).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/cutefish-icons')
-rw-r--r--desktop/cutefish-icons/README1
-rw-r--r--desktop/cutefish-icons/cutefish-icons.SlackBuild95
-rw-r--r--desktop/cutefish-icons/cutefish-icons.info10
-rw-r--r--desktop/cutefish-icons/doinst.sh13
-rw-r--r--desktop/cutefish-icons/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/desktop/cutefish-icons/README b/desktop/cutefish-icons/README
new file mode 100644
index 0000000000..3156f2d927
--- /dev/null
+++ b/desktop/cutefish-icons/README
@@ -0,0 +1 @@
+Cutefish default icon themes, Crule and Crule-dark.
diff --git a/desktop/cutefish-icons/cutefish-icons.SlackBuild b/desktop/cutefish-icons/cutefish-icons.SlackBuild
new file mode 100644
index 0000000000..c9de6b84df
--- /dev/null
+++ b/desktop/cutefish-icons/cutefish-icons.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for cutefish-icons
+
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cutefish-icons
+VERSION=${VERSION:-0.8}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv icons-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+for themedir in Crule Crule-dark; do
+ cd $themedir;
+ rm -f *@2x;
+ rm -f icon-theme.cache;
+ chmod -x index.theme AUTHORS COPYING;
+
+ # these files are the same for both icon sets, so it is OK to overwrite.
+ mv AUTHORS COPYING ..;
+ cd ..;
+done;
+
+# There are some broken links in the tarball. Remove them.
+find . -xtype l -exec rm -f {} \;
+
+# remove executable permission from PNG and SVG files
+find . -type f -name "*.svg" -exec chmod -x {} \;
+find . -type f -name "*.png" -exec chmod -x {} \;
+
+cp -a Crule Crule-dark $PKG/usr/share/icons
+
+gzip -9 LICENSE;
+gzip -9 COPYING;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.gz COPYING.gz README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/cutefish-icons/cutefish-icons.info b/desktop/cutefish-icons/cutefish-icons.info
new file mode 100644
index 0000000000..be062aa057
--- /dev/null
+++ b/desktop/cutefish-icons/cutefish-icons.info
@@ -0,0 +1,10 @@
+PRGNAM="cutefish-icons"
+VERSION="0.8"
+HOMEPAGE="https://github.com/cutefishos/icons"
+DOWNLOAD="https://github.com/cutefishos/icons/archive/0.8/cutefish-icons-0.8.tar.gz"
+MD5SUM="6bd6fc3d4a9cac7d5853f60d2105e34b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Juan M. Lasca"
+EMAIL="juanmlasca@gmail.com"
diff --git a/desktop/cutefish-icons/doinst.sh b/desktop/cutefish-icons/doinst.sh
new file mode 100644
index 0000000000..83aa009eee
--- /dev/null
+++ b/desktop/cutefish-icons/doinst.sh
@@ -0,0 +1,13 @@
+
+if [ -e usr/share/icons/Crule/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/Crule >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/Crule-dark/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/Crule-dark >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/cutefish-icons/slack-desc b/desktop/cutefish-icons/slack-desc
new file mode 100644
index 0000000000..bb67c95f41
--- /dev/null
+++ b/desktop/cutefish-icons/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cutefish-icons: cutefish-icons (icons for cutefish DE)
+cutefish-icons:
+cutefish-icons: Cutefish default icon themes, Crule and Crule-dark.
+cutefish-icons:
+cutefish-icons: https://github.com/cutefishos/icons
+cutefish-icons:
+cutefish-icons:
+cutefish-icons:
+cutefish-icons:
+cutefish-icons:
+cutefish-icons: